dht::SignedValue< T > Class Template Reference
Inheritance diagram for dht::SignedValue< T >:
[legend]
Collaboration diagram for dht::SignedValue< T >:
[legend]

## Public Member Functions

virtual void | unpackValue (const Value &v) override
Public Member Functions inherited from dht::Value::Serializable< T >
virtual const ValueType & | getType () const
virtual void | unpackValue (const Value &v)
virtual Value | packValue () const
virtual const ValueType & | getType () const =0
virtual void | unpackValue (const Value &v)=0
virtual Value | packValue () const =0

## Static Public Member Functions

static Value::Filter | getFilter ()

## Public Attributes

dht::InfoHash | from

## Detailed Description

template<typename T>
class dht::SignedValue< T >

Definition at line 62 of file default_types.h.

## Member Function Documentation

## getFilter()

template<typename T >

static Value::Filter dht::SignedValue< T >::getFilter | ( |  | ) |

inline static

Definition at line 74 of file default_types.h.

## unpackValue()

template<typename T >

virtual void dht::SignedValue< T >::unpackValue | ( | const Value & | v | ) |

inline override virtual

Reimplemented from dht::Value::Serializable< T >.

Definition at line 68 of file default_types.h.

## Member Data Documentation

## from

template<typename T >

dht::InfoHash dht::SignedValue< T >::from

Definition at line 78 of file default_types.h.

The documentation for this class was generated from the following file:

- /tmp/slackbuilds_libs/opendht-1.7.4/include/opendht/default_types.h